searchNodes=[{"type":"module","title":"ClusterEC2","doc":"ClusterEC2 This is an EC2 clustering strategy for libcluster . It currently supports identifying nodes based on EC2 tags. The default Tags strategy uses ex_aws to query the EC2 DescribeInstances API endpoint. Access to this API should be granted to the EC2 instance profile. See the ExAws docs for additional configuration options. config :libcluster , topologies : [ example : [ strategy : ClusterEC2.Strategy.Tags , config : [ ec2_tagname : &quot;elasticbeanstalk:environment-name&quot; ] , ] ] Installation The package can be installed by adding libcluster_ec2 to your list of dependencies in mix.exs : def deps do [ { :libcluster_ec2 , &quot;~&gt; 0.5&quot; } ] end AWS IAM Requirements Instances must have an instance role attached. There are two permissions required: ec2:DescribeInstances - Required to determine tag values of the current running instance. Can be restricted by Resource to the current instance running the application ec2:DescribeTags - Required to identify other instances with the same tags { &quot;Version&quot; : &quot;2012-10-17&quot; , &quot;Statement&quot; : [ { &quot;Sid&quot; : &quot;VisualEditor0&quot; , &quot;Effect&quot; : &quot;Allow&quot; , &quot;Action&quot; : [ &quot;ec2:DescribeInstances&quot; , &quot;ec2:DescribeTags&quot; ] , &quot;Resource&quot; : &quot;*&quot; } ] }","ref":"ClusterEC2.html"},{"type":"function","title":"ClusterEC2.instance_region/0","doc":"Queries the local EC2 instance metadata API to determine the aws resource region of the current instance.","ref":"ClusterEC2.html#instance_region/0"},{"type":"function","title":"ClusterEC2.local_instance_id/0","doc":"Queries the local EC2 instance metadata API to determine the instance ID of the current instance.","ref":"ClusterEC2.html#local_instance_id/0"},{"type":"module","title":"ClusterEC2.Strategy.Tags","doc":"This clustering strategy works by loading all instances that have the given tag associated with them. All instances must be started with the same app name and have security groups configured to allow inter-node communication. config :libcluster , topologies : [ tags_example : [ strategy : Elixir.ClusterEC2.Strategy.Tags , config : [ ec2_tagname : &quot;mytag&quot; , ec2_tagvalue : &quot;tagvalue&quot; , app_prefix : &quot;app&quot; , ip_to_nodename : &amp; my_nodename_func / 2 , ip_type : :private , polling_interval : 10_000 ] ] ] , show_debug : false Configuration Options Key Required Description :ec2_tagname yes Name of the EC2 instance tag to look for. :ec2_tagvalue no Can be passed a static value (string), a 0-arity function, or a 1-arity function (which will be passed the value of :ec2_tagname at invocation). :app_prefix no Will be prepended to the node's private IP address to create the node name. :ip_type no One of :private or :public, defaults to :private :ip_to_nodename no defaults to app_prefix@ip but can be used to override the nodename :polling_interval no Number of milliseconds to wait between polls to the EC2 api. Defaults to 5_000 :show_debug no True or false, whether or not to show the debug log. Defaults to true","ref":"ClusterEC2.Strategy.Tags.html"},{"type":"function","title":"ClusterEC2.Strategy.Tags.child_spec/1","doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"ClusterEC2.Strategy.Tags.html#child_spec/1"},{"type":"function","title":"ClusterEC2.Strategy.Tags.start_link/1","doc":"Callback implementation for Cluster.Strategy.start_link/1 .","ref":"ClusterEC2.Strategy.Tags.html#start_link/1"}]